FTPGetter

FTPGetter is a automatic ftp manager and scheduler

FTPGetter 2.8

Powerful ftp manager with builtin scheduler, designed specially for automate file upload and download tasks. FTP, FTP over SSL/TLS protocols supported, upload or download files and subfolders, batch file upload and download,various proxy supported

Every day many of us work with ftp servers - occasionally start ftp client, connect the server, upload files from the local disc or download necessary files from the server. Even if you work with one server and small amount of files - it is quite an irksome task, isn't it?

And what if you need to upload to the server your website updates - it'll be several tens of files. Or if you need to upload webcam photos? And what if you need to work with several ftp servers? Will you have to do everything by hand?

FTPGetter is a powerful ftp manager for automation upload and download files and folders with ftp servers. File batch processing using masks will allow you to flexibly adjust list of files that are to be uploaded to the ftp server or downloaded from it.Built-in task scheduler will duly start the tasks that you created. FTPGetter can work simultaneously with any number of ftp servers using multithreaded processing technology. FTPGetter supports a direct connection to ftp servers, as well as connection through a FTP, SOCKS or HTTP proxy server.

If you constantly work with ftp servers, FTPGetter will allow you to automate this process.

FTP server profile set-up process consists of the three basic steps:
1. Set up Connection parameters: server address, user name and password, used protocol (standard or secure SSL/TLS), connection type (direct or via proxy-server).
2. Create Automation Tasks: uploading files and folders from local discs to server or downloading files and folders from server to local discs. Each task has additional options - comparison of files before uploading and downloading, saving file modification time, synchronizing folder structure, deleting successfully processed files at the source side etc. One of significant features of FTPGetter is file batch processing by mask, so that you can perform operations with multiple files with names that match certain criteria - e.g. upload to server only files with html extension or download from server all files except images in bmp format.
3. Adjust the Scheduler - customize weekdays when profile tasks will be processed, processing start-up and finish time, frequency of performance.

After the server profile is saved FTPGetter will start automatic task processing for this profile. Now all work with the server will be performed automatically without your participation.

Back on top

Copyright © 2005 - 2007 FTPGetter Team. All rights reserved.


Automation

  • Multithreaded processing - simultaneous work with several servers;
  • Multiple file uploading and downloading using file mask;
  • Use of multiple file masks for multithreaded processing: support of wildcard symbols * and ?, mask types [a-z]???-[^0-9].txt;
  • Upload and download of individual files with a possibility of saving under new name at the destination side;
  • Possibility of file comparison on the basis of their MD5 hashes, modification date and time or size. Upload and download of only new or changed files;
  • File processing in subfolders of any nesting level. Reconstruction of subfolders structure at the destination side;
  • Possibility of choosing the transfer type - binary, ASCII or autodetection on the basis of file extension;
  • Setting access rights (chmod) to the file after successful uploading;
  • Possibility of deleting source files after successful task processing;
  • Filename case conversion for successfully processed files;
  • Individual built-in Scheduler for each profile;
  • "Process immediately" - immediately (without taking Scheduler's settings into account) process tasks of the chosen profile;

Learn more about automated tasks and built-in scheduler.

Protocols, proxy-servers and security

  • FTP and secure FTP (SSL/TLS) protocol support;
  • Support of explicit (AUTH SSL) and implicit (port 990) access to secure ftp servers;
  • Use of shared keys (user name and password), PKCS12 keys, PEM or ANS1 DER client certificates for authentication at secure ftp servers;
  • Independent settings for restriction of bandwidth for upload and download tasks for each profile;
  • FTP, SOCKS and HTTP (method CONNECT) proxy-servers support. It is possible to customize separate proxy settings for each profile;
  • Individual log file settings for each profile;

Learn more about customizing parameters for connection to ftp server.

Built-in FTP Explorer

  • Comfortable server navigation;
  • Bookmarks for quick jump to server directories;
  • Command line for command execution on the server;
  • File properties preview on the server;
  • Change of access rights for the file on the server (chmod);
  • Context menu for creation, renaming and deleting files and folders on the server;
  • Upload and download of files and folders using Drag-and-Drop technology or context menu;
  • Built-in text editor (beta);

Learn more about work with FTP Explorer.

Other features

  • Visual and sound notification of successful task performance;
  • Possibility of run as Windows service;
  • Work in background mode;
  • "Invisible" mode - no icon in the system tray and button at the task bar;
  • User friendly multi-language interface;
Back on top


Installing/Un-installing the software

When installing FTPGetter on your PC, you can choose a destination folder (by default, C:\Program Files\FTPGetter), create shortcuts on your desktop and in the Quick Launch menu, and choose FTPGetter to run automatically on Windows startup. If you use Windows NT/2000/XP on your computer, you can create shortcuts for all users, or only for yourself (current user), depending on your account type.

If you use Windows NT/2000/XP on your computer, all program settings for FTPGetter are stored in Application Data\FTPGetter of the user profile. By default, user profiles are stored in C:\Profiles\<user> (for Windows NT) and in C:\Documents and Settings\<user> (for Windows 2000/XP).

If you use Windows 95/98/Me on your computer, all program settings are stored in the program's folder (C:\Program Files\FTPGetter folder by default).

When un-installing FTPGetter from your PC, the following files are deleted:
For Windows 95/98/Me: all files from program's folder (except for the settings.xml file, which contains all program settings, and the servers.xml file, which contains the connections list and downloading rules), and the LOG folder (located in the program's folder) with all of its contents;
For Windows NT/2000/XP: all files from the program's folder, except for the user's settings and subfolder with log files, all located at Application Data\FTPGetter.


Work with the FTPGetter

When you run FTPGetter for the first time after the installation, we recommend that you customize the program's settings as desired.

Select the Settings item from the program's main menu, the program's settings window appears.

On the General tab, you can configure the general program settings. On the Proxy Settings tab, you can configure the default settings for a proxy-server, with which you access the Internet or other local network segments. On the File types tab, you can configure the list of file extensions, which should be transmitted in ASCII mode.


Customizing connection settings for ftp server

As you already know FTPGetter stores all information on each ftp server it is working with, in a profile. Let's review connection settings for ftp server in detail.

Common settings

To connect to ftp server you need to set server address (as IP address or URL), port (21 on default), user name and password for logon to the server.

FTP server connection settings: ftp server address or URL, ftp or ftp over ssl protocols settings, user name and password, direct or through proxy connection

Next step is choice of protocol operations with server will be performed by. FTPGetter supports both common and secure ftp protocols. You can choose the necessary protocol using this list. Default value - FTP (common File Transfer Protocol):

Specify used protocol - common ftp or ftp over ssl/tls

To work via secure ftp protocol in implicit mode a special port is used on ftp server (990 on default). Don't forget to set this value.

If it is necessary to use a proxy server for connection choose its type using this list. Default value - Direct connection:

FTPGetter support four connection type - direct, through ftp, SOCKS or HTTP proxy

You might want to restrict bandwidth during file upload or download operations. Set desired maximum values separately for download and upload. Default value 0 - not restricted:

You can separately limit bandwidth for files upload and download

Proxy settings

FTPGetter can use three types of proxy servers: ftp proxy, SOCKS proxy and HTTP proxy (method CONNECT). In this tab you can define settings for each type of proxy server:

If FTPGetter connect to ftp server through proxy - set up proxy address, port, user name and password here

Security settings

You need to define additional connection parameters to work with secure ftp servers.

Used SSL/TLS protocol version. Default value - Autodetect:

ftp over ssl/tls - select security mechanisms (SSL v2, SSL v3, TLS v1, TLS v1.1)

User authorization method on the server. There are three methods available: using user name and password, using PEM/ASN1 certificate and key and using PKCS12 certificate. The first method is used by default.

secure ftp authorization method - basic, using PEM/ASN1 certificate and key or using PKCS12 certificate

To get authorization on the server using PEM/ASN1 certificate and key you should define path on the drive to the certificate file, to file with the key and enter key verification password.

PEM/ASN1 certificate and key - select certificate and key files and enter key password

To get authorization on the server using PKCS12 certificate you should define path on the drive to the certificate file and enter its verification password.

PKCS12 certificate - select certificate file and enter password

Certificates and keys should be provided by your server administrator.

Well, now you know how to customize connection to ftp server. It's time to consider creating upload and download tasks.


Creating tasks for automatic file upload and download

After you customized connection settings it's time to create automatically performed task that will be performed by FTPGetter. Task Wizard will help you to achieve this goal easily and quickly - you don't need to right any scripts or programs.

First step is choice of operation: downloading files from the server or uploading files to the server.

Task operation - download (files are downloaded from an ftp server to your PC); remove (files are downloaded from an ftp server to your PC, the original files on the ftp server are then deleted); upload (upload files from your computer to an FTP server.

At the next step you choose source files. For downloading these will be files on the ftp server - using built-in FTP Explorer you will easily choose necessary files. For uploading - files on your computer.

Select source files for upload or download. Process files in subfolders. Select transfer mode

If you specify mask instead a file name than FTPGetter will process the files which names correspond to the mask. File processing in subfolders of any nesting level with reconstruction of their structure on the destination side combined with batch processing by mask allows being confident in file relevance on the server. File transfer mode by ftp protocol: binary, ACSII or autodetection.

Third step is choosing destination folder on the server for uploading or folder on your disk for downloading.

Select destination folder on your PC for download mode or folder on ftp server for upload mode

The last step is setting additional task options. Comparing source and destination files by modification date, MD5 hash or size allows uploading or downloading only changed files. Saving modification time of destination files similar to source files. File names conversion to lower or upper case. Setting access rights for the file at the server (chmod). Deleting source files from your computer after successful uploading to the server.

Here, you can select additional task: Delete source files after upload, Set access permissions for a file (SITE CHMOD), Preserve source timestamp, Resume broken transfer, Compare remote and local files: By MD5 hash (SITE MD5), Custom MD5 command, By file size, By file timestamp

You will see the created task in the list of current tasks for the current profile. Tasks are processed in turn - first, then second, third etc.

Manage ftp automation tasks - create, edit, delete or reorder task

Now we'll move on to scheduler settings - FTPGetter will process profile tasks according to them.


Scheduler settings

Built-in scheduler allows you to flexibly customize frequency of performing profile tasks.

Choose weekdays the task should be performed on (every day on default), time of task performance star-up (00 hours 00 minutes on default), task performance finish (23 hours 59 minutes on default), and frequency of performance. Frequency of performance is the interval with which the task performance is repeated.

Use scheduler to specify weekdays, start and stop time the task should be performed. Profile tasks are performed at specified frequency. The minimum interval is one minute, maximum interval is 11 hour 59 minutes.

With such settings the profile tasks will be performed each 2 hours nine minutes from Monday 00 hours to Friday midnight.


Secure FTP protocol (SSL/TLS)

I might be news for you but work via ftp protocol (RFC959) is insecure. For user authentication at the server a name and a password are used that are passed to the server by commands USER and PASS in unclosed format. Using a so called sniffer an intruder can capture this data and gain access to the server. Modification of commands and data during their transfer between the server and the client is also possible.

To provide security of ftp protocol a secured ftp protocol has been developed - so called FTP over SSL (RFC2228). You can now operate with the server and be sure that your data will not come into wrong hands. Integrity check of the transferred data guarantees inalterability of data during its transfer between the server and the client.

FTPGetter allows using different security mechanisms (SSL v2, SSL v3, TLS v1, TLS v1.1); there is a possibility of authentication using PEM/ASN1 or PKCS12 certificates and keys when working with secure ftp servers; the program also supports secure data transfer.

To work with secure ftp server you should choose the necessary protocol in profile connection settings:

Select used protocol - common ftp or secure ftp over SST/TLS

Explicit mode: connection using server 21 port, choice of security mechanism by AUTH command.
Implicit mode: connection to server 990 port.

Most secure ftp servers use security certificates and keys for authentication of connecting clients. During connection attempt the server checks the client certificate. You should set which authentication variant is used at the server.

authentication method: basic or using PEM/ASN1 or PKCS12 certificates and keys

If PEM/ASN1 certificate and key are used then set path to files and key verification password in this tab:

Path to PEM/ASN1 certificate and key files

If PKCS12 certificate is used then set path to file and certificate verification password in this tab:

Path to PKCS12 certificate file

If in process of connection to secure ftp server you will see a similar message in the log file window:

SSL/TSL error - network subsystem is unusable

it means that a wrong authentication method has been chosen. For example, Basic authentication method has been chosen while the server requires authentication using certificates. To obtain information on connection to secure ftp server contact your server administrator.


Installing FTPGetter as Windows service

You can install FTPGetter Launcher for running FTPGetter as Windows service. What can it be necessary for? For example, you want to use FTPGetter on a server, where the program should run before the user log in into the system or after user log off from the system.

During installation or upgrading FTPGetter installer checks if FTPGetter Launcher service is installed in the system. If the installer doesn't find the aforesaid service it offers to install it.

If you need run FTPGetter as Windows service - install FTPGetter Launcher. Manage FTPGetter Launcher in MMC

During installation of the FTPGetter Launcher to Your computer the installer will create a file ftpgsrv.exe in the program catalog (initially C:\Program Files\FTPGetter) and register it as Windows service.

FTPGetter as Windows service

When FTPGetter Launcher is started it checks whether FTPGetter is running on the computer with a two-minute interval. If FTPGetter is not running the service runs the program.

If FTPGetter is running as service, in the title of the main program window and in the pop-up help icon in the tray you will see text "service mode".

FTPGetter is running as service - see service mode text into main window caption

FTPGetter service runs in a safety context and with Local System account rights. Take this fact into account when creating rules - drives and files, available to your account can be not accessed by Local System account (e.g. network drives, which are connected when user logs in into the system and disconnected after log off).

Drag-and-Drop operation is also not available in FTP Explorer when FTPGetter is running as service.

Security note

When running as service, FTPGetter stores its settings in the catalog of All Users profile (initially C:\Documents and Settings\All Users\Application Data). Take this feature into account.


Using wildcard characters for processing files by mask

One of FTPGetter features is a possibility to download and upload groups of files using a file mask. What is it used for and how does it work?

Basic file mask

You need to upload to the server or download from the server only files with txt extension. The file mask for this case with look this way:

*.txt - only files with txt extension.

For files of other type (e.g. php scripts) the mask will be the following:

*.php - only files with php extension.

Advanced file mask

You need to process files, names or extensions of which start with, end with or contain definite symbols:

2005*.* - all files, names of which start with 2005 match to this mask: 2005.txt, 2005_10.rep, 2005-all.html;

*2005*.txt - all files, names of which contain 2005 and which have txt extension, match to this mask: 102005.txt, 200510.txt, 2005.txt, all_2005_all.txt;

??-??-2005.??? - all files with three-symbol extension and name of the type: 10-10-2005.rep, aa-bb-2005.txt. File 10-10-2005.gz doesn't match to the aforesaid mask as its extension has only two symbols;

??[a-z].* - all files with any extension, names of which have three symbols where the last symbol is from the range from a to z, match to this mask: 12a.html, qwe.txt, 88z.pl. File 123.txt doesn't match to the aforesaid mask as its last symbol is not from the range a-z;

*[abc].* - all files with any extension and any name length, but with the last symbol a, b or c in the name, match to this mask: 2005a.txt, 2005c.html, bc.pl. File with the name 2005f.txt doesn't match to the aforesaid mask as its last symbol is not a, b or c.

[^a-z]*.txt - all files with txt extension, names of which do not start with symbols a-z, match to this mask: 123.txt, 1_2.html. File with the name report.html doesn't match to the aforesaid mask as its name begins with the symbol r, which is from the range a-z.


General settings

Select the Options item (the General settings button on the toolbar or Ctrl+T shortcut).

  • The Show icon in the System Tray option. If this option is enabled, the program icon is displayed in the System Tray (along with the Windows clock).
  • The Show icon in the Task Bar option. If this option is enabled, the program button with the program name is shown in the Task Bar.
  • The Run on Windows startup option. If this option is enabled, FTPGetter runs on Windows startup.
  • The Minimize to the System Tray when closed" option. If this option is enabled, the application window is minimized to the System Tray instead of being closed (Alt+F4 pressed). In this case, the application can be closed using the System Tray program icon context menu. If the Show icon in the System Tray option was previously disabled, the application window will disappear. Press Shift+Ctrl+UpAr (UpAr means Up Arrow) to restore it.
  • The Minimize on startup option. If this option is enabled, the application window is minimized when the application starts.
  • The Show hints option. If this option is enabled, help hints are shown when hovering the mouse cursor over some UI elements.
  • The "Box" option. If this option is enabled, the colored rectangular box with the "Rule Complete" message appears on the screen. The color of the box, the font, the font size and the position on the screen can be adjusted by the corresponding control items (Monitor, Font, Background color).
  • The Language option. User interface language selection. For more info on this subject, please see the "Multi-language support" section of the help file.
  • The Sound notification option. If this option is enabled, a sound is played when the file downloading rule for some FTP server is completed. You can select a file (a .wav file from Windows\Media folder) to play from the dropdown list. If your PC does not have a sound card, you can enable the Use PC speaker option to hear the sound through the PC speaker of your computer. To disable the Sound notification option, select "None" in the dropdown list and disable the Use PC speaker option.

Default proxy settings

  • Direct connection to the Internet: connect to the Internet using direct connection.
  • Proxy server settings: if you use a proxy server to connect to the Internet, you can adjust and save the default proxy server configuration for FTPGetter.
  • Get information from the registry: get information about the proxy server from the Windows System Registry.
  • Save settings: save the information about the proxy server and use it when creating new connections in future.

Auto detecting file transfer mode

File transfer by ftp protocol can be performed in two modes - binary and ASCII. The first is used for binary files transfer, the second - for text files. Incorrect choice of this parameter can lead to file corruption on destination side. Such files as .htaccess or .procmailrc must be uploaded to the server only in ASCII mode.

Autodetection of transfer mode is implemented the following way. FTPGetter stores a list of file extensions that should be transferred in ASCII mode. If the extension is in the list - ASCII mode is chosen automatically. Default mode is binary.


Using FTP Explorer

A full-featured built-in FTP Explorer is used for navigation on ftp server in FTPGetter. Externally it looks as common ftp client with all necessary and useful features - you can browse server folders, create, rename or delete files and folders.

Using context menu you can manually upload or download necessary files and folders. It is handy to bookmark frequently used folders on the server.

The built-in FTP Explorer is intended for easy browsing of an ftp server when creating/editing the upload or download tasks. You may download and upload files and folders manually, create new folders, rename, delete files on ftp server, change access permission for files on ftp server.

FTP Explorer is a right hand when creating automated tasks.

Support of Drag-and-Drop operations in FTP Explorer

Using drag-and-drop technology you can download files and folders from FTP Explorer to Windows Explorer or onto Desktop, as well as upload files and folders from Windows Explorer or Desktop to FTP Explorer just simply dragging objects with mouse.

When you drag-and-drop files and folders from FTP Explorer to the local disk an built-in file manager program is started, which allows setting path to the folders the files and folders from the server will be downloaded to. In fact you are dragging the file drop_me_and_look.txt. As you drop this file to the target folder the built-in file manager program will notify the program of the path to this folder and FTPGetter will start downloading files and folders to the target folder, while the onboard file manager program will finish its work.

To track changes on the local disks the file manager program uses file system functions, which are supported starting from Windows NT 4.0 and later OS (Windows 2000/XP/2003). Therefore, you will not be able to drag-and-drop files and folders from FTP Explorer to the local disk in systems with Windows 95/98/Me.

Drag-and-drop of files and folders from Windows Explorer or Desktop to FTP Explorer is supported for Windows 95/98/Me, as well as for Windows NT/2000/XP/2003

If FTPGetter was started as Windows service, drag-and-drop operations are not working in FTP Explorer. This is due to the fact that as service FTPGetter works in the context of Local System account.


Multi-language support

To create/edit language files, FTPGetter features an FTPGetter Language File Editor. To run the FTPGetter Language File Editor, run FTPGetter.exe with the "-langedit" parameter.

To edit string resources (button names, menu items, etc.), do the following:

  • Select a line you wish to edit, click the Translate button on the editor's toolbar or select Translate.. in the editor's main menu, or press Ctrl+E;
  • In the editing field of the window that just appeared, enter the translation of the original line (displayed in the upper area of the window). Enter \n to get a new line.
  • Click the Save button to save changes.

After the language file is saved, open the program's settings window and select a desired language from the drop-down list. The program's interface language changes as soon as you click the "Ok" button in the program's settings window.


License Agreement

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE FTPGETTER ver.2 (THE "SOFTWARE") PROVIDED WITH THIS AGREEMENT CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

The SOFTWARE is owned and copyrighted by FTPGETTER TEAM. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

Anyone may use this software during a evaluation period of 15 days. Following this evaluation period of 15 days or less, if you wish to continue to use the SOFTWARE, you MUST register.

Once registered, the user is granted a non-exclusive license to use the SOFTWARE on one computer (i.e. a single CPU) at a time. The registered the SOFTWARE software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

The SOFTWARE unregistered (evaluation) version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of SOFTWARE without written permission from the copyright holder.

You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorised use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

All rights not expressly granted here are reserved by FTPGETTER TEAM.

U.S. government information: use, duplication, or disclosure by the U.S. Government of the computer software and documentation in this package shall be subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.277-7013 (Oct 1988) and FAR 52.227-19 (Jun 1987).

NO OTHER WARRANTIES. FTPGETTER TEAM DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. FTPGETTER TEAM DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.


About Registration...

FTPGetter is distributed on the "Try before buy" principle. You can use FTPGetter for free during the 15-day evaluation period. When the evaluation period expires, you must either register the software or remove it from your PC.

The FTPGetter evaluation version has the following limitations: an unlimited number of FTP sever profiles can be created, however only the first two profiles in the list work.

For registering FTPGetter now please visit our site.


Support

For more info please visit our web site or contact the support service: support@ftpgetter.com


Credits

Portions of this software are Copyright (c) 1999-2005, Lukas Gebauer http://www.ararat.cz/synapse/

Portions of this software are Copyright (c) Gustavo Huffenbacher Daud http://pngdelphi.sourceforge.net

This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)